import request from '@/utils/request'


export default {

    // 分页条件查询分类列表 
    getList(query, pageNo = 1, pageSize = 20) {
        return request({ // Promise
            url: '/point/getPointList',
            method: 'post',
            data: {
                ...query, //查询条件
                pageNo, //当前页
                pageSize //每页多少条
            }
        })
    },

    //新增
    add(data) {
        return request({
            url: '/route/appendRoute',
            method: 'post',
            data: data
        })
    },

    // 更新
    update(data) {
        return request({
            url: '/route/updateRoute',
            method: 'post',
            data: data
        })
    },

    // 删除
    deleteById(data) {
        return request({
            url: `/route/deleteRoute`,
            method: 'post',
            data: data
        })
    },

    // 团队人员下拉
    getPersonList(data) {
        return request({
            url: '/team/getPersonnelbox',
            method: 'post',
        })
    },


}